html { font-size: 14px; }
.box-shadow { box-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .1); }

.html-body-container {
    border: 1px solid #777;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
}

.text-body-container {
    border: 1px solid #777;
}

@media screen and (prefers-color-scheme: dark) {
    pre {
        color: #f0d0ff;
    }

    .modal-content {
        background-color: #000;
    }
}

.navbar-brand-logo {
    text-align: center;
    color: white;
    background-color: #8000a0;
    border-radius: 6px;
    width: 36px !important;
    height: 36px !important;
    display: inline-block;
    font-size: 23px;
    font-weight: bold;
    margin-right: 10px;
}

@media screen and (prefers-color-scheme: dark) {
    .navbar-brand-logo {
        background-color: #400050;
    }
}
    
html,body {
    background: #f8f0ff !important;
}

@media screen and (prefers-color-scheme: dark) {
    html,body {
        background: #403050 !important;
        color: white;
    }
}

@media screen and (prefers-color-scheme: dark) {
    .navbar-brand-logo {
        background-color: #302040;
    }
}
    
table#recent-emails-table {
    table-layout: fixed;
}

table td:first-child {
    text-overflow: ellipsis;
    overflow-x: hidden;
    white-space: nowrap;
}

.bg-light {
    background-color: #f0d0ff !important;
}

@media screen and (prefers-color-scheme: dark) {
    .bg-light {
        background-color: #504060 !important;
    }

    .bg-white {
        background-color: #201c2d !important;
    }

    .navbar-light .navbar-brand {
        color: rgba(255,255,255,.9);
    }

    .navbar-light .navbar-nav .nav-link {
        color: rgba(255,255,255,.5);
    }
}


.loading-icon {
    display: block;
    margin-left: auto;
    margin-right: auto;
    top: auto;
    margin: 100px auto;
    font-size: 25px;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    text-indent: -9999em;
    -webkit-animation: load5 1.1s infinite ease;
    animation: load5 1.1s infinite ease;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}
@-webkit-keyframes load5 {
  0%,
  100% {
    box-shadow: 0em -2.6em 0em 0em #8000a0, 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.5), -1.8em -1.8em 0 0em rgba(128,0,160, 0.7);
  }
  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.7), 1.8em -1.8em 0 0em #8000a0, 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.5);
  }
  25% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.5), 1.8em -1.8em 0 0em rgba(128,0,160, 0.7), 2.5em 0em 0 0em #8000a0, 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.5), 2.5em 0em 0 0em rgba(128,0,160, 0.7), 1.75em 1.75em 0 0em #8000a0, 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  50% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.5), 1.75em 1.75em 0 0em rgba(128,0,160, 0.7), 0em 2.5em 0 0em #8000a0, -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.5), 0em 2.5em 0 0em rgba(128,0,160, 0.7), -1.8em 1.8em 0 0em #8000a0, -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  75% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.5), -1.8em 1.8em 0 0em rgba(128,0,160, 0.7), -2.6em 0em 0 0em #8000a0, -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.5), -2.6em 0em 0 0em rgba(128,0,160, 0.7), -1.8em -1.8em 0 0em #8000a0;
  }
}
@keyframes load5 {
  0%,
  100% {
    box-shadow: 0em -2.6em 0em 0em #8000a0, 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.5), -1.8em -1.8em 0 0em rgba(128,0,160, 0.7);
  }
  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.7), 1.8em -1.8em 0 0em #8000a0, 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.5);
  }
  25% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.5), 1.8em -1.8em 0 0em rgba(128,0,160, 0.7), 2.5em 0em 0 0em #8000a0, 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.5), 2.5em 0em 0 0em rgba(128,0,160, 0.7), 1.75em 1.75em 0 0em #8000a0, 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  50% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.5), 1.75em 1.75em 0 0em rgba(128,0,160, 0.7), 0em 2.5em 0 0em #8000a0, -1.8em 1.8em 0 0em rgba(128,0,160, 0.2), -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.5), 0em 2.5em 0 0em rgba(128,0,160, 0.7), -1.8em 1.8em 0 0em #8000a0, -2.6em 0em 0 0em rgba(128,0,160, 0.2), -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  75% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.5), -1.8em 1.8em 0 0em rgba(128,0,160, 0.7), -2.6em 0em 0 0em #8000a0, -1.8em -1.8em 0 0em rgba(128,0,160, 0.2);
  }
  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(128,0,160, 0.2), 1.8em -1.8em 0 0em rgba(128,0,160, 0.2), 2.5em 0em 0 0em rgba(128,0,160, 0.2), 1.75em 1.75em 0 0em rgba(128,0,160, 0.2), 0em 2.5em 0 0em rgba(128,0,160, 0.2), -1.8em 1.8em 0 0em rgba(128,0,160, 0.5), -2.6em 0em 0 0em rgba(128,0,160, 0.7), -1.8em -1.8em 0 0em #8000a0;
  }
}

footer {
    display: block;
    background-color: rgba(255, 255, 255, .5);
    bottom: 0;
    color: #888;
}

footer.page-footer {
    bottom: 0;
}

.loading-mask {
    background: rgba(0, 0, 0, .5);
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 5000;
}

@media screen and (prefers-color-scheme: dark) {
    .loading-mask {
        background: rgba(255, 255, 255, .5);
    }
}

span#password {
    border: 1px solid #ccc;
    font-family: monospace;
    padding: 2px 10px;
    margin: 1px 5px;
}

span.collapse.show#password {
    display: inline-block;
}

span.collapse#password {
    display: none;
}

span.localpart {
    color: #000;
    font-weight: bold;
}

span.domainpart {
    color: #888;
}

@media screen and (prefers-color-scheme: dark) {
    footer {
        background-color: rgba(0, 0, 0, .5);
        color: #666;
    }

    .loading-mask {
        background: rgba(255, 255, 255, .5);
    }

    span.localpart {
        color: #fff;
    }

    span.domainpart {
        color: #999;
    }
}
